package basic.BuilderTypeManager.model;

import android.text.TextUtils;

import basic.BuilderTypeManager.model.BuilderTypes.Ali_MARKET;
import basic.BuilderTypeManager.model.BuilderTypes.BaiShengTong_A20;
import basic.BuilderTypeManager.model.BuilderTypes.BaiShengTong_A31;
import basic.BuilderTypeManager.model.BuilderTypes.BaiShengTong_AiJia;
import basic.BuilderTypeManager.model.BuilderTypes.BaiShengTong_GaoQingYuan;
import basic.BuilderTypeManager.model.BuilderTypes.BaiShengTong_LunTan_Market;
import basic.BuilderTypeManager.model.BuilderTypes.BaiShengTong_QuanJiaHe_Market;
import basic.BuilderTypeManager.model.BuilderTypes.BaiShengTong_ShaFa;
import basic.BuilderTypeManager.model.BuilderTypes.BaiShengTong_WuKong_Market;
import basic.BuilderTypeManager.model.BuilderTypes.BenQ;
import basic.BuilderTypeManager.model.BuilderTypes.DuYaTech;
import basic.BuilderTypeManager.model.BuilderTypes.FenSiWang;
import basic.BuilderTypeManager.model.BuilderTypes.HUAWEI_MARKET;
import basic.BuilderTypeManager.model.BuilderTypes.HaiXin_Vidda3;
import basic.BuilderTypeManager.model.BuilderTypes.Haier_MARKET;
import basic.BuilderTypeManager.model.BuilderTypes.Haier_MSD6A828VX;
import basic.BuilderTypeManager.model.BuilderTypes.Haier_RTD2968;
import basic.BuilderTypeManager.model.BuilderTypes.LeTV_MARKET;
import basic.BuilderTypeManager.model.BuilderTypes.QiuSuo;
import basic.BuilderTypeManager.model.BuilderTypes.TCL_MARKET;
import basic.BuilderTypeManager.model.BuilderTypes.TV17_MARKET;
import basic.BuilderTypeManager.model.BuilderTypes.TianShang_MARKET;
import basic.BuilderTypeManager.model.BuilderTypes.WangXunAndroid_MARKET;
import basic.BuilderTypeManager.model.BuilderTypes.WasuTvCs;
import basic.BuilderTypeManager.model.BuilderTypes.WasuTvCs_OnlyTest;
import basic.BuilderTypeManager.model.BuilderTypes.XiaoShuai_MSD928;

import static basic.BuilderTypeManager.model.Channelids.Haier_RTD2968;

/**
 * Created by fanwang on 9/8/16.
 */
public class SimpleBuilderTypeFactory {
    /**
     * create a real BuilderType
     * @param channelId
     * @return a real BuilderType
     */
    public IBuilderTypeInterface createBuilderType(String channelId){
        IBuilderTypeInterface iBuilderTypeInterface = null;

        if(TextUtils.equals(channelId,Channelids.TianShang_MARKET)){
            iBuilderTypeInterface = new TianShang_MARKET();
        }else if(TextUtils.equals(channelId,Channelids.BaiShengTong_A31)){
            iBuilderTypeInterface = new BaiShengTong_A31();
        }else if(TextUtils.equals(channelId,Channelids.BaiShengTong_AiJia)){
            iBuilderTypeInterface = new BaiShengTong_AiJia();
        }else if(TextUtils.equals(channelId,Channelids.BaiShengTong_GaoQingYuan)){
            iBuilderTypeInterface = new BaiShengTong_GaoQingYuan();
        }else if(TextUtils.equals(channelId,Channelids.BaiShengTong_ShaFa)){
            iBuilderTypeInterface = new BaiShengTong_ShaFa();
        }else if(TextUtils.equals(channelId,Channelids.BaiShengTong_A20)){
            iBuilderTypeInterface = new BaiShengTong_A20();
        }else if(TextUtils.equals(channelId,Channelids.BaiShengTong_WuKong_Market)){
            iBuilderTypeInterface = new BaiShengTong_WuKong_Market();
        }else if(TextUtils.equals(channelId,Channelids.BaiShengTong_LunTan_Market)){
            iBuilderTypeInterface = new BaiShengTong_LunTan_Market();
        }else if(TextUtils.equals(channelId,Channelids.BaiShengTong_QuanJiaHe_Market)){
            iBuilderTypeInterface = new BaiShengTong_QuanJiaHe_Market();
        }else if(TextUtils.equals(channelId,Channelids.WasuTvCs)){
            iBuilderTypeInterface = new WasuTvCs();
        }else if(TextUtils.equals(channelId,Channelids.TCL_MARKET)){
            iBuilderTypeInterface = new TCL_MARKET();
        }else if(TextUtils.equals(channelId,Channelids.WangXunAndroid_MARKET)){
            iBuilderTypeInterface = new WangXunAndroid_MARKET();
        }else if(TextUtils.equals(channelId,Channelids.Ali_MARKET)){
            iBuilderTypeInterface = new Ali_MARKET();
        }else if(TextUtils.equals(channelId,Channelids.Haier_MARKET)){
            iBuilderTypeInterface = new Haier_MARKET();
        }else if(TextUtils.equals(channelId,Channelids.HUAWEI_MARKET)){
            iBuilderTypeInterface = new HUAWEI_MARKET();
        }else if(TextUtils.equals(channelId,Channelids.TV17_MARKET)){
            iBuilderTypeInterface = new TV17_MARKET();
        }else if(TextUtils.equals(channelId,Channelids.QiuSuo)){
            iBuilderTypeInterface = new QiuSuo();
        }else if (TextUtils.equals(channelId, Channelids.FenSiWang)) {
            iBuilderTypeInterface = new FenSiWang();
        }else if (TextUtils.equals(channelId, Channelids.DuYaTech)) {
            iBuilderTypeInterface = new DuYaTech();
        }else if (TextUtils.equals(channelId, Channelids.Haier_MSD6A828VX)) {
            iBuilderTypeInterface = new Haier_MSD6A828VX();
        }else if (TextUtils.equals(channelId, Channelids.LeTV_MARKET)) {
            iBuilderTypeInterface = new LeTV_MARKET();
        }else if (TextUtils.equals(channelId, Channelids.BenQ)) {
            iBuilderTypeInterface = new BenQ();
        } else if (TextUtils.equals(channelId, Channelids.HaiXin_Vidda3)) {
            iBuilderTypeInterface = new HaiXin_Vidda3();
        } else if (TextUtils.equals(channelId, Channelids.WasuTV_OnlyTest)) {
            iBuilderTypeInterface = new WasuTvCs_OnlyTest();
        } else if (TextUtils.equals(channelId, Channelids.XiaoShuai_MSD928)) {
            iBuilderTypeInterface = new XiaoShuai_MSD928();
        } else if (TextUtils.equals(channelId, Channelids.Haier_RTD2968)) {
            iBuilderTypeInterface = new Haier_RTD2968();
        }

        return iBuilderTypeInterface;
    }
}
